Package org.jacoco.agent.rt.internal

## Class CoverageTransformer

- java.lang.Object
- - org.jacoco.agent.rt.internal.CoverageTransformer

All Implemented Interfaces:
  `java.lang.instrument.ClassFileTransformer`

    public class CoverageTransformer
    extends java.lang.Object
    implements java.lang.instrument.ClassFileTransformer

Class file transformer to instrument classes for code coverage analysis.

### Constructor Summary

Constructors
`CoverageTransformer​(IRuntime runtime, AgentOptions options, IExceptionLogger logger)` New transformer with the given delegates.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `transform​(java.lang.ClassLoader loader, java.lang.String classname, java.lang.Class<?> classBeingRedefined, java.security.ProtectionDomain protectionDomain, byte[] classfileBuffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.instrument.ClassFileTransformer

`transform`

### Constructor Detail

#### CoverageTransformer

    public CoverageTransformer​(IRuntime runtime,
                               AgentOptions options,
                               IExceptionLogger logger)

New transformer with the given delegates.

Parameters:
  `runtime` - coverage runtime
  `options` - configuration options for the generator
  `logger` - logger for exceptions during instrumentation

### Method Detail

#### transform

    public byte[] transform​(java.lang.ClassLoader loader,
                            java.lang.String classname,
                            java.lang.Class<?> classBeingRedefined,
                            java.security.ProtectionDomain protectionDomain,
                            byte[] classfileBuffer)
                     throws java.lang.instrument.IllegalClassFormatException

Specified by:
  `transform` in interface `java.lang.instrument.ClassFileTransformer`
Throws:
  `java.lang.instrument.IllegalClassFormatException`